#### D.4.7.9 select

Procedure from library `elim.lib` (see elim_lib).

Usage:
  select(id,n[,m]); id = ideal/module/matrix, v = intvec

Return:
  generators/columns of id containing all variables with index an entry of v

Note:
  use 'select1' for selecting generators/columns containing at least one of the variables with index an entry of v

Example:

    LIB "elim.lib";
    ring r=0,(x,y,t,s,z),(c,dp);
    ideal i=x-y,y-z2,z-t3,s-x+y3;
    ideal j=select(i,1);
    j;
    ==> j[1]=x-y
    ==> j[2]=y3-x+s
    module m=i*(gen(1)+gen(2));
    m;
    ==> m[1]=[x-y,x-y]
    ==> m[2]=[-z2+y,-z2+y]
    ==> m[3]=[-t3+z,-t3+z]
    ==> m[4]=[y3-x+s,y3-x+s]
    select(m,1..2);
    ==> _[1]=[x-y,x-y]
    ==> _[2]=[y3-x+s,y3-x+s]
    select(matrix(m),1..2);
    ==> _[1,1]=x-y
    ==> _[1,2]=y3-x+s
    ==> _[2,1]=x-y
    ==> _[2,2]=y3-x+s

See also: nselect; select1.

User manual for Singular version 4.4.1, 2025, generated by texi2html.